#!/bin/sh

CAMD_ID=6091
CAMD_NAME="oscamicamnew"
LOG_FILE="/tmp/camstart.log"

INFOFILE_A=ecm0.info
INFOFILE_B=ecm1.info
INFOFILE_C=ecm2.info
INFOFILE_D=ecm3.info
#Expert window
INFOFILE_LINES=1111111111000000
#Zapp after start
REZAPP=0

########################################

logger "$0" "$1"
echo "$0" "$1"

remove_tmp() {
  rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/oscam* /tmp/.oscam
}

case "$1" in
start)
	echo "cam start " >> $LOG_FILE
	remove_tmp
	# /usr/bin/${CAMD_NAME} &
	/usr/bin/oscamicamnew -S -c /etc/tuxbox/config/oscamicamnew &

	
    echo "cam start ende" >> $LOG_FILE
	;;
stop)
  echo "cam stop befehl " >> $LOG_FILE 
  killall -9 ${CAMD_NAME} 2>/dev/null
  sleep 2
  remove_tmp
  ;;
*)
  $0 stop
  exit 0
  ;;
esac

exit 0
